Loading...
Searching...
No Matches
LwIP specific API
Application API

API for LwIP interface. More...

Collaboration diagram for LwIP specific API:

## Typedefs

typedef int(* | coap_lwip_input_wait_handler_t) (void *arg, uint32_t milli_secs)
| LwIP callback handler that can be used to wait / timeout for the next input packet.

## Functions

void | coap_lwip_dump_memory_pools (coap_log_t log_level)
| Dump the current state of the LwIP memory pools.
void | coap_lwip_set_input_wait_handler (coap_context_t *context, coap_lwip_input_wait_handler_t handler, void *input_arg)
| Set up a wait / timeout callback handler for use when the application calls coap_io_process().

## Detailed Description

API for LwIP interface.

## Typedef Documentation

## coap_lwip_input_wait_handler_t

typedef int(* coap_lwip_input_wait_handler_t) (void *arg, uint32_t milli_secs)

LwIP callback handler that can be used to wait / timeout for the next input packet.

Parameters

  arg | The argument passed to the coap_lwip_set_input_wait_handler() function.
  milli_secs | Suggested number of milli secs to wait before returning if no input.

Returns
  `1` if packet received, `0` for timeout, else `-1` on error.

Definition at line 783 of file coap_net.h.

## Function Documentation

## coap_lwip_dump_memory_pools()

void coap_lwip_dump_memory_pools | ( | coap_log_t | log_level | ) |

Dump the current state of the LwIP memory pools.

Requires both MEMP_STATS and LWIP_STATS_DISPLAY to be defined as 1 in lwipopts.h

Parameters

  log_level | The logging level to use.

Here is the caller graph for this function:

## coap_lwip_set_input_wait_handler()

void coap_lwip_set_input_wait_handler | ( | coap_context_t * | context,
|  | coap_lwip_input_wait_handler_t | handler,
|  | void * | input_arg
| ) |  |

Set up a wait / timeout callback handler for use when the application calls coap_io_process().

Parameters

  context | The coap context to associate this handler with.
  handler | The handler to call while waiting for input.
  input_arg | The argument to pass into handler().